echo off

cd %VAR%
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play the PC version of Defender of the Crown
echo Press 2 to play the Tandy version of Defender of the Crown
echo.
echo Note: The Tandy version is equivilant to the EGA PC version,
echo however it features better sound.
echo.
..\..\..\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto TANDY
if errorlevel = 1 goto PC

:PC
set conf=dosbox.conf
goto run

:Tandy
set conf=dosbox_tandy.conf
goto run

:Run
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\%conf%" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:end